aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/csharp/experimental
diff options
context:
space:
mode:
authorGravatar kpayson64 <kpayson@google.com>2018-05-11 12:20:11 -0700
committerGravatar kpayson64 <kpayson@google.com>2018-05-11 12:20:11 -0700
commit4fad281ce8affe27fb7428f264d2c3b9dfc45f2f (patch)
treeca96c9efd69afec56aa2e5fe072a9f758247d0a3 /src/csharp/experimental
parentec445cc2bb270ed4acb1c710c3533fca14a50019 (diff)
parent61fdb46ac456027c79841949272ec540f66d2317 (diff)
Merge remote-tracking branch 'upstream/master' into fork_exec_ctx_check
Diffstat (limited to 'src/csharp/experimental')
-rwxr-xr-xsrc/csharp/experimental/build_native_ext_for_android.sh6
-rwxr-xr-xsrc/csharp/experimental/build_unitypackage.sh32
2 files changed, 36 insertions, 2 deletions
diff --git a/src/csharp/experimental/build_native_ext_for_android.sh b/src/csharp/experimental/build_native_ext_for_android.sh
index 3063d78efa..8197df7c53 100755
--- a/src/csharp/experimental/build_native_ext_for_android.sh
+++ b/src/csharp/experimental/build_native_ext_for_android.sh
@@ -15,13 +15,15 @@
# Helper script to crosscompile grpc_csharp_ext native extension for Android.
+set -ex
+
cd "$(dirname "$0")/../../../cmake"
mkdir -p build
cd build
# set to the location where Android SDK is installed
-ANDROID_NDK_PATH="$HOME/android-ndk-r16b"
+# e.g. ANDROID_NDK_PATH="$HOME/android-ndk-r16b"
cmake ../.. \
-DCMAKE_SYSTEM_NAME=Android \
@@ -34,4 +36,4 @@ cmake ../.. \
-DRUN_HAVE_STEADY_CLOCK=0 \
-DCMAKE_BUILD_TYPE=Release
-make grpc_csharp_ext
+make -j4 grpc_csharp_ext
diff --git a/src/csharp/experimental/build_unitypackage.sh b/src/csharp/experimental/build_unitypackage.sh
new file mode 100755
index 0000000000..cca52658e8
--- /dev/null
+++ b/src/csharp/experimental/build_unitypackage.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Copyright 2018 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Builds an experimental .unitypackage file to be imported into Unity projects.
+
+set -ex
+
+cd "$(dirname "$0")/.."
+
+dotnet restore Grpc.sln
+
+mkdir -p GrpcUnity
+dotnet build --configuration Release --framework net45 Grpc.Core --output ../GrpcUnity
+
+#TODO: add ThirdParty/Grpc.Core:
+# - assembly
+# - native libraries (mac dylib need to be renamed to grpc_csharp_ext.bundle)
+
+#TODO: add ThirdParty/Grpc.Tools:
+# - protoc and grpc plugin